$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);


    $('#addnew').click(function () {
        AddRows();
    });

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var focusFld = ".focusFld_" + ctr;
        var Detail = ".fetchpart_" + ctr;
        ctr++;
        $('#items').val(ctr);
        $.post('expvendtran_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');

            $(focusFld).focus();
            $(Detail).select2();
        });
    }

});